Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

403 Forbidden error when decompiling one dependency mod


Toma™
 Share

Recommended Posts

Alright, I'm working on one project which has some kind of "core" mod (functions etc). I was always able to update the dependency version using the build.gradle where I change the deobfcompile line. Never had single problem. But suddenly, after updating to new version I got 403 Forbidden access error. So I deleted everything, cloned the workspace from github and rebuild the workspace with dependency without problems (but with the older version). Then I have tried to repeat the process again, but it has ended with the same result as before. I have no idea what the problem could be. This is the only dependency which causes problems.

We're using github releases system for this. I have access to the repository, I can view it from any browser (but it's private)

I'm pretty bad with all this gradle stuff so if someone knows what's the problem and how to solve it, please help me, I will appreciate that

LOG:

Spoiler

To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/2.14/userguide/gradle_daemon.html.
This mapping 'stable_39' was designed for MC 1.12! Use at your own peril.
#################################################
         ForgeGradle 2.3-SNAPSHOT-7764e3e
  https://github.com/MinecraftForge/ForgeGradle
#################################################
                 Powered by MCP
            http://modcoderpack.com
     by: Searge, ProfMobius, R4wk, ZeuX
     Fesh0r, IngisKahn, bspkrs, LexManos
#################################################
Invalid cookie header: "Set-Cookie: AWSALB=UrDsSJ2Dywoalo/oTgjxsEZHNS+UD/8ZcN9YXij+s/ZGwEsBclSxNKvu8izHh/OP0c6LSDTAbbbjt9/n+3wa7EalOCT1CezANYy5iWYNl/5MXcZtGGQwNrrEyhWl; Expires=Sun, 30 Jun 2019 20:37:34 GMT; Path=/". Invalid 'expires' attribute: Sun, 30 Jun 2019 20:37:34 GMT
Invalid cookie header: "Set-Cookie: AWSALB=I3WiXINsfm6vyCeNAs4uhF4Jy095Gzt5nRgzIVulmV5lP2WyPvtCgh3zZc3FsW1bGNW0ta47xUQpz9DFe46MVbka53GTVqRy9XCHERgCWQAwFk+IB1Ajrd7Up8UK; Expires=Sun, 30 Jun 2019 20:37:34 GMT; Path=/". Invalid 'expires' attribute: Sun, 30 Jun 2019 20:37:34 GMT

FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring root project 'SpeedsterHeroes-Reborn'.
> Could not resolve all dependencies for configuration ':deobfCompile'.
   > Could not resolve com.github.revivalmoddingteam:RevivalCore:0.3.1.
     Required by:
         com.speedstersreborn:SpeedsterHeroes-Reborn:0.0.6
      > Could not resolve com.github.revivalmoddingteam:RevivalCore:0.3.1.
         > Could not get resource 'https://jitpack.io/com/github/revivalmoddingteam/RevivalCore/0.3.1/RevivalCore-0.3.1.pom'.
            > Could not GET 'https://jitpack.io/com/github/revivalmoddingteam/RevivalCore/0.3.1/RevivalCore-0.3.1.pom'. Received status code 403 from server: Forbidden

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.